[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.Clear

Clears a particular bit.

## Declaration

Source position: classesh.inc line 404

`public procedure TBits.Clear(`
`Bit: LongInt`
`);`

## Description

Clear clears the bit at position bit. If the array If bit is at a position bigger than the current size, the collection is expanded to the required size using Grow.

## Errors

If bit is larger than the maximum allowed bits array size or is negative, an EBitsError exception is raised.

## See also

Bits |  | Access to all bits in the array.
seton |  | Clears a particular bit.

Documentation generated on: Feb 26 2014